<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
  ~ Copyright (c) Aeontronix 2019
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.mycompany</groupId>
    <artifactId>emtdemo</artifactId>
    <version>1.0.0-SNAPSHOT</version>
    <packaging>mule-application</packaging>

    <name>Enhanced Mule Tools Demo</name>
    <description>Demo Application for Enhanced Mule Tools</description>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>

        <app.runtime>4.1.4</app.runtime>
        <mule.maven.plugin.version>3.1.6</mule.maven.plugin.version>
        <maven.deploy.skip>true</maven.deploy.skip>
        <emt.version>1.4.9-SNAPSHOT</emt.version>
        <maven.compiler.release>8</maven.compiler.release>
        <var.myurl>https://www.goo.com/myapi</var.myurl>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.mule.tools.maven</groupId>
                <artifactId>mule-maven-plugin</artifactId>
                <version>${mule.maven.plugin.version}</version>
                <extensions>true</extensions>
                <configuration>
                </configuration>
            </plugin>
            <plugin>
                <groupId>com.aeontronix.enhanced-mule</groupId>
                <artifactId>enhanced-mule-tools-maven-plugin</artifactId>
                <version>${emt.version}</version>
                <extensions>true</extensions>
                <executions>
                    <execution>
                        <configuration>
                            <vars>
                                <foo>bar</foo>
                            </vars>
                        </configuration>
                        <goals>
                            <goal>process-descriptor</goal>
                            <goal>deploy</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>org.mule.connectors</groupId>
            <artifactId>mule-http-connector</artifactId>
            <version>1.3.2</version>
            <classifier>mule-plugin</classifier>
        </dependency>
        <dependency>
            <groupId>org.mule.connectors</groupId>
            <artifactId>mule-sockets-connector</artifactId>
            <version>1.1.2</version>
            <classifier>mule-plugin</classifier>
        </dependency>
        <dependency>
            <groupId>org.mule.modules</groupId>
            <artifactId>mule-apikit-module</artifactId>
            <version>1.1.9</version>
            <classifier>mule-plugin</classifier>
        </dependency>
        <dependency>
            <groupId>org.mule.modules</groupId>
            <artifactId>mule-oauth-module</artifactId>
            <version>1.1.5</version>
            <classifier>mule-plugin</classifier>
        </dependency>
    </dependencies>

    <repositories>
        <repository>
            <id>anypoint-exchange-v2</id>
            <name>Anypoint Exchange</name>
            <url>https://maven.anypoint.mulesoft.com/api/v2/maven</url>
            <layout>default</layout>
        </repository>
        <repository>
            <id>mulesoft-releases</id>
            <name>MuleSoft Releases Repository</name>
            <url>https://repository.mulesoft.org/releases/</url>
            <layout>default</layout>
        </repository>
    </repositories>
    <pluginRepositories>
        <pluginRepository>
            <id>mulesoft-releases</id>
            <name>mulesoft release repository</name>
            <layout>default</layout>
            <url>https://repository.mulesoft.org/releases/</url>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

    <profiles>
        <profile>
            <id>spec-dependency</id>
            <dependencies>
                <dependency>
                    <groupId>d002eff8-84a5-452f-bce6-145f4a688311</groupId>
                    <artifactId>anypoint-sys-api-spec</artifactId>
                    <version>1.0.0</version>
                    <classifier>oas</classifier>
                    <type>zip</type>
                </dependency>
            </dependencies>
        </profile>
        <profile>
            <id>deploy-exchange-emt</id>
            <properties>
                <anypoint.target>exchange</anypoint.target>
            </properties>
        </profile>
    </profiles>

</project>
